As of February 25, 2008

Short-term goals
----------------
* add cancellation protection in all functions (especially those modifying the database)
* add cancellation timeouts for deferreds
* make RSS parsing more robust
* check for memory leaks!
* parse ATOM feeds, other feed types?
* don't parse feed if last-modified header == last_updated field in channels db

Long-term goals
---------------
* store episode thumbnails and channel icons in the database
* implement bittorrent downloads
* create bindings for other languages (python first, then ...?)
* add local search capability
* implement callback for custom feed parsing and user-defined storage (e.g. for custom fields in feeds)
